{ pkgs, ... }: {
  programs.qutebrowser = {
    enable = true;
    package = pkgs.qutebrowser.override { enableWideVine = true; };
    loadAutoconfig = true;
    searchEngines = rec {
      DEFAULT = ddg;
      ddg = "https://lite.duckduckgo.com/lite/?q={}";
      wiki = "https://en.wikipedia.org/wiki/Special:Search?search={}&go=Go&ns0=1";
      archw = "https://wiki.archlinux.org/?search={}";
      nixw = "https://wiki.nixos.org/index.php?search={}";
      goog = "https://www.google.com/search?hl=en&q={}";
    };
    settings = let
      defaultFamily = "Atkinson Hyperlegible Next";
    in {
      colors.webpage.darkmode.enabled = true;
      colors.webpage.preferred_color_scheme = "dark";
      content.geolocation = false;
      content.javascript.enabled = false; # ,j to enable
      editor.command = ["code" "-w" "{}"];
      fonts.default_family = defaultFamily;
      fonts.web.family.cursive = defaultFamily;
      fonts.web.family.fantasy = defaultFamily;
      fonts.web.family.fixed = "FiraCode Nerd Font";
      fonts.web.family.sans_serif = defaultFamily;
      fonts.web.family.serif = defaultFamily;
      fonts.web.family.standard = defaultFamily;
      # qt.highdpi = true;
      url.default_page = "https://lite.duckduckgo.com/lite/";
    };
  };
}
